<template>
  <el-table :data="currentValue">
    <el-table-column
      label="商品名称"
      prop="flowerName"
      min-width="100"
      fixed="left"
    ></el-table-column>
    <el-table-column
      label="商品分类"
      prop="flowerCategory"
      min-width="150"
    ></el-table-column>
    <el-table-column
      label="级别"
      prop="flowerLevelStr"
      min-width="80"
    ></el-table-column>
    <el-table-column
      label="颜色"
      prop="flowerColor"
      min-width="80"
    ></el-table-column>
    <el-table-column
      label="规格"
      prop="flowerUnit"
      min-width="100"
    ></el-table-column>
    <el-table-column label="数量" prop="num" min-width="100"></el-table-column>
    <el-table-column
      label="单价"
      prop="price"
      min-width="100"
    ></el-table-column>
    <el-table-column
      label="供应商"
      prop="supplierName"
      min-width="120"
    ></el-table-column>
    <el-table-column
      label="判断责任方"
      prop="personInCharge"
      min-width="120"
      fixed="right"
    >
      <template #default="{ row }">
        <el-bus-select-dict
          v-if="!disabled"
          v-model="row.personInCharge"
          code="CHARGE_PERSON"
          clearable
          @change="onFormUpdate"
        ></el-bus-select-dict>
        <div v-else>{{ row.personInChargeStr }}</div>
      </template>
    </el-table-column>
    <el-table-column
      label="赔付金额(元)"
      prop="amount"
      min-width="120"
      fixed="right"
    >
      <template #default="{ row }">
        <el-input-number
          v-if="!disabled"
          v-model="row.amount"
          :precision="2"
          :min="0"
          :controls="false"
          style="width: 100%"
          @change="onFormUpdate"
        ></el-input-number>
        <div v-else>{{ row.amount }}</div>
      </template>
    </el-table-column>
    <el-table-column label="备注" prop="remarks" min-width="250" fixed="right">
      <template #default="{ row }">
        <el-input
          v-if="!disabled"
          v-model="row.remarks"
          @change="onFormUpdate"
        ></el-input>
        <div v-else>{{ row.remarks }}</div>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
export default {
  props: {
    value: {
      type: Array,
      default: () => [],
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      currentValue: [],
    }
  },
  watch: {
    value: {
      immediate: true,
      handler(value) {
        this.currentValue = value || []
      },
    },
  },
  methods: {
    onFormUpdate() {
      this.$emit('input', this.currentValue)
      this.$emit('change', this.currentValue)
    },
  },
}
</script>

<style lang="scss" scoped>
.after-sale-items {
}
</style>
